using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.Reporting;
using CMS.GlobalHelper;
using CMS.CMSHelper;
using CMS.LicenseProvider;

public partial class CMSDesk_Tools_Analytics_Analytics_Print : CMSModalPage
{
    private string reportName = "";


    protected override void OnPreInit(EventArgs e)
    {
        base.OnPreInit(e);

        // Get report name from querystring
        reportName = ValidationHelper.GetString(Request.QueryString["reportname"], "");
        // Get ReportInfo object
        ReportInfo ri = ReportInfoProvider.GetReportInfo(reportName);
        if (ri != null)
        {
            // Get parameters from querystring
            string[] httpParameters = ValidationHelper.GetString(Request.QueryString["parameters"], "").Split(";".ToCharArray());

            if (httpParameters.Length > 1)
            {

                string[] parameters = new string[httpParameters.Length / 2];

                DataTable dtp = new DataTable();

                // Create correct columns and put values in it
                for (int i = 0; i < httpParameters.Length; i = i + 2)
                {
                    dtp.Columns.Add(httpParameters[i]);
                    parameters[i / 2] = httpParameters[i + 1];
                }


                dtp.Rows.Add(parameters);
                dtp.AcceptChanges();

                DisplayReport1.LoadFormParameters = false;
                DisplayReport1.ReportName = ri.ReportName;
                DisplayReport1.DisplayFilter = false;
                DisplayReport1.ReportParameters = dtp.Rows[0];

            }
            else
            {
                DisplayReport1.ReportName = ri.ReportName;
                DisplayReport1.DisplayFilter = false;
            }
            this.Page.Title = ResHelper.GetString("Report_Print.lblPrintReport") + " " + ri.ReportName;
        }
    }

    
    protected void Page_Load(object sender, EventArgs e)
    {
        // Check license
        if (DataHelper.GetNotEmpty(UrlHelper.GetCurrentDomain(), "") != "")
        {
            LicenseHelper.CheckFeatureAndRedirect(UrlHelper.GetCurrentDomain(), FeatureEnum.WebAnalytics);
        }

        // Check 'Read' permission
        if (!CMSContext.CurrentUser.IsAuthorizedPerResource("CMS.WebAnalytics", "Read"))
        {
            CMSDeskPage.RedirectToAccessDenied("CMS.WebAnalytics", "Read");
        }
              
    }

    
}