using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;
using CMS.CMSHelper;
using CMS.Ecommerce;

public partial class CMSDesk_Tools_Ecommerce_Orders_Order_Edit_History : CMSDeskPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // check 'EcommerceRead' permission
        if (!CMSContext.CurrentUser.IsAuthorizedPerResource("CMS.Ecommerce", "EcommerceRead"))
        {
            CMSDeskPage.RedirectToAccessDenied("CMS.Ecommerce", "EcommerceRead");
        }

        int orderId = ValidationHelper.GetInteger(Request.QueryString["orderid"], 0);

        this.UniGrid.GridView.GridLines = GridLines.Horizontal;
        this.UniGrid.DataSource = OrderStatusUserInfoProvider.GetOrderStatusList(orderId);
        this.UniGrid.OnExternalDataBound += new OnExternalDataBoundEventHandler(UniGrid_OnExternalDataBound);
    }

    object UniGrid_OnExternalDataBound(object sender, string sourceName, object parameter)
    {
        // Localize status display name
        if (sourceName.ToLower() == "tostatusdisplayname")
        {
            return ResHelper.LocalizeString(Convert.ToString(parameter));
        }
        return parameter;
    }
}
