CREATE TABLE [Blog_Comment] (
		[CommentID]                   int NOT NULL IDENTITY(1, 1),
		[CommentUserName]             nvarchar(200) NOT NULL,
		[CommentUserID]               int NULL,
		[CommentUrl]                  nvarchar(450) NULL,
		[CommentText]                 ntext NOT NULL,
		[CommentApprovedByUserID]     int NULL,
		[CommentPostDocumentID]       int NOT NULL,
		[CommentDate]                 datetime NOT NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [Blog_Comment]
	ADD
	CONSTRAINT [PK_Blog_Comment]
	PRIMARY KEY
	([CommentID])
	ON [PRIMARY]
IF OBJECT_ID(N'[Blog_Comment]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Document]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Blog_Comment_CMS_Document]') IS NULL
BEGIN
		ALTER TABLE [Blog_Comment]
			ADD CONSTRAINT [FK_Blog_Comment_CMS_Document]
			FOREIGN KEY ([CommentPostDocumentID]) REFERENCES [CMS_Document] ([DocumentID])
END
IF OBJECT_ID(N'[Blog_Comment]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_User]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Blog_Comment_CMS_User]') IS NULL
BEGIN
		ALTER TABLE [Blog_Comment]
			ADD CONSTRAINT [FK_Blog_Comment_CMS_User]
			FOREIGN KEY ([CommentUserID]) REFERENCES [CMS_User] ([UserID])
END
IF OBJECT_ID(N'[Blog_Comment]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_User]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Blog_Comment_CMS_User1]') IS NULL
BEGIN
		ALTER TABLE [Blog_Comment]
			ADD CONSTRAINT [FK_Blog_Comment_CMS_User1]
			FOREIGN KEY ([CommentApprovedByUserID]) REFERENCES [CMS_User] ([UserID])
END
CREATE INDEX [FK_Blog_Comment_CommentApprovedByUserID]
	ON [Blog_Comment] ([CommentApprovedByUserID])
	ON [PRIMARY]
CREATE INDEX [FK_Blog_Comment_CommentPostDocumentID]
	ON [Blog_Comment] ([CommentPostDocumentID])
	ON [PRIMARY]
CREATE INDEX [FK_Blog_Comment_CommentUserID]
	ON [Blog_Comment] ([CommentUserID])
	ON [PRIMARY]
