CREATE TABLE [CMS_VersionHistory] (
		[VersionHistoryID]     int NOT NULL IDENTITY(1, 1),
		[NodeSiteID]           int NULL,
		[DocumentID]           int NULL,
		[DocumentNamePath]     nvarchar(450) NOT NULL,
		[NodeXML]              ntext NOT NULL,
		[ModifiedByUserID]     int NULL,
		[ModifiedWhen]         datetime NOT NULL,
		[VersionNumber]        nvarchar(50) NULL,
		[VersionComment]       ntext NULL,
		[ToBePublished]        bit NOT NULL,
		[PublishFrom]          datetime NULL,
		[PublishTo]            datetime NULL,
		[WasPublishedFrom]     datetime NULL,
		[WasPublishedTo]       datetime NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [CMS_VersionHistory]
	ADD
	CONSTRAINT [PK__CMS_VersionHisto__70DDC3D8]
	PRIMARY KEY
	([VersionHistoryID])
	ON [PRIMARY]
ALTER TABLE [CMS_VersionHistory]
	ADD
	CONSTRAINT [DF__CMS_Versi__ToBeP__71D1E811]
	DEFAULT ((0)) FOR [ToBePublished]
IF OBJECT_ID(N'[CMS_VersionHistory]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_User]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Versi__Modif__72C60C4A]') IS NULL
BEGIN
		ALTER TABLE [CMS_VersionHistory]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Versi__Modif__72C60C4A]
			FOREIGN KEY ([ModifiedByUserID]) REFERENCES [CMS_User] ([UserID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_VersionHistory]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[FK_CMS_VersionHistory_CMS_Site]') IS NULL
BEGIN
		ALTER TABLE [CMS_VersionHistory]
			WITH NOCHECK
			ADD CONSTRAINT [FK_CMS_VersionHistory_CMS_Site]
			FOREIGN KEY ([NodeSiteID]) REFERENCES [CMS_Site] ([SiteID])
			NOT FOR REPLICATION
END
CREATE INDEX [IX_CMS_VersionHistory]
	ON [CMS_VersionHistory] ([NodeSiteID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_VersionHistory_1]
	ON [CMS_VersionHistory] ([DocumentID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_VersionHistory_10]
	ON [CMS_VersionHistory] ([ModifiedByUserID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_VersionHistory_2]
	ON [CMS_VersionHistory] ([DocumentNamePath])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_VersionHistory_3]
	ON [CMS_VersionHistory] ([VersionNumber])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_VersionHistory_4]
	ON [CMS_VersionHistory] ([ModifiedWhen])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_VersionHistory_5]
	ON [CMS_VersionHistory] ([ToBePublished])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_VersionHistory_6]
	ON [CMS_VersionHistory] ([PublishFrom])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_VersionHistory_7]
	ON [CMS_VersionHistory] ([PublishTo])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_VersionHistory_8]
	ON [CMS_VersionHistory] ([WasPublishedFrom])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_VersionHistory_9]
	ON [CMS_VersionHistory] ([WasPublishedTo])
	ON [PRIMARY]
