CREATE TABLE [COM_ShippingOption] (
		[ShippingOptionID]              int NOT NULL IDENTITY(1, 1),
		[ShippingOptionName]            nvarchar(200) NOT NULL,
		[ShippingOptionDisplayName]     nvarchar(200) NOT NULL,
		[ShippingOptionCharge]          float NOT NULL,
		[ShippingOptionEnabled]         bit NOT NULL,
		[ShippingOptionSiteID]          int NOT NULL
)
ON [PRIMARY]
ALTER TABLE [COM_ShippingOption]
	ADD
	CONSTRAINT [PK_COM_ShippingOption]
	PRIMARY KEY
	([ShippingOptionID])
	ON [PRIMARY]
IF OBJECT_ID(N'[COM_ShippingOption]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[FK_COM_ShippingOption_CMS_Site]') IS NULL
BEGIN
		ALTER TABLE [COM_ShippingOption]
			WITH NOCHECK
			ADD CONSTRAINT [FK_COM_ShippingOption_CMS_Site]
			FOREIGN KEY ([ShippingOptionSiteID]) REFERENCES [CMS_Site] ([SiteID])
			NOT FOR REPLICATION
END
CREATE INDEX [FK_COM_ShippingOption]
	ON [COM_ShippingOption] ([ShippingOptionSiteID])
	ON [PRIMARY]
CREATE INDEX [IX_COM_ShippingOption]
	ON [COM_ShippingOption] ([ShippingOptionDisplayName])
	ON [PRIMARY]
CREATE INDEX [IX_COM_ShippingOption_1]
	ON [COM_ShippingOption] ([ShippingOptionName])
	ON [PRIMARY]
