CREATE TABLE [Forums_Forum] (
		[ForumID]                   int NOT NULL IDENTITY(1, 1),
		[ForumGroupID]              int NOT NULL,
		[ForumName]                 nvarchar(200) NOT NULL,
		[ForumDisplayName]          nvarchar(200) NOT NULL,
		[ForumDescription]          ntext NULL,
		[ForumOrder]                int NULL,
		[ForumDocumentID]           int NULL,
		[ForumOpen]                 bit NOT NULL,
		[ForumModerated]            bit NOT NULL,
		[ForumDisplayEmails]        bit NOT NULL,
		[ForumRequireEmail]         bit NOT NULL,
		[ForumAccess]               int NOT NULL,
		[ForumThreads]              int NOT NULL,
		[ForumPosts]                int NOT NULL,
		[ForumLastPostTime]         datetime NULL,
		[ForumLastPostUserName]     nvarchar(100) NULL,
		[ForumBaseUrl]              nvarchar(200) NULL,
		[ForumAllowChangeName]      bit NULL,
		[ForumHTMLEditor]           bit NULL,
		[ForumUseCAPTCHA]           bit NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [Forums_Forum]
	ADD
	CONSTRAINT [PK_Forums_Forum]
	PRIMARY KEY
	([ForumID])
	ON [PRIMARY]
IF OBJECT_ID(N'[Forums_Forum]') IS NOT NULL
	AND OBJECT_ID(N'[Forums_ForumGroup]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Forums_Forum_Forums_ForumGroup]') IS NULL
BEGIN
		ALTER TABLE [Forums_Forum]
			WITH NOCHECK
			ADD CONSTRAINT [FK_Forums_Forum_Forums_ForumGroup]
			FOREIGN KEY ([ForumGroupID]) REFERENCES [Forums_ForumGroup] ([GroupID])
			NOT FOR REPLICATION
END
CREATE INDEX [FK_Forums_Forum]
	ON [Forums_Forum] ([ForumGroupID])
	ON [PRIMARY]
CREATE INDEX [IX_Forums_Forum]
	ON [Forums_Forum] ([ForumName])
	ON [PRIMARY]
CREATE INDEX [IX_Forums_Forum_1]
	ON [Forums_Forum] ([ForumDocumentID])
	ON [PRIMARY]
