CREATE TABLE [Forums_ForumModerators] (
		[ModeratorID]     int NOT NULL IDENTITY(1, 1),
		[UserID]          int NOT NULL,
		[ForumID]         int NOT NULL
)
ON [PRIMARY]
IF OBJECT_ID(N'[Forums_ForumModerators]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_User]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Forums_ForumModerators_CMS_User]') IS NULL
BEGIN
		ALTER TABLE [Forums_ForumModerators]
			WITH NOCHECK
			ADD CONSTRAINT [FK_Forums_ForumModerators_CMS_User]
			FOREIGN KEY ([UserID]) REFERENCES [CMS_User] ([UserID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[Forums_ForumModerators]') IS NOT NULL
	AND OBJECT_ID(N'[Forums_Forum]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Forums_ForumModerators_Forums_Forum]') IS NULL
BEGIN
		ALTER TABLE [Forums_ForumModerators]
			WITH NOCHECK
			ADD CONSTRAINT [FK_Forums_ForumModerators_Forums_Forum]
			FOREIGN KEY ([ForumID]) REFERENCES [Forums_Forum] ([ForumID])
			NOT FOR REPLICATION
END
CREATE INDEX [FK_Forums_ForumModerators_CMS_User]
	ON [Forums_ForumModerators] ([UserID])
	ON [PRIMARY]
CREATE INDEX [FK_Forums_ForumModerators_Forums_Forum]
	ON [Forums_ForumModerators] ([ForumID])
	ON [PRIMARY]
