CREATE TABLE [Forums_ForumPost] (
		[PostId]                         int NOT NULL IDENTITY(1, 1),
		[PostForumID]                    int NOT NULL,
		[PostParentID]                   int NULL,
		[PostIDPath]                     nvarchar(450) NOT NULL,
		[PostLevel]                      int NOT NULL,
		[PostSubject]                    nvarchar(450) NOT NULL,
		[PostUserID]                     int NULL,
		[PostUserName]                   nvarchar(100) NOT NULL,
		[PostUserMail]                   nvarchar(100) NULL,
		[PostText]                       ntext NULL,
		[PostTime]                       datetime NOT NULL,
		[PostApprovedByUserID]           int NULL,
		[PostThreadPosts]                int NULL,
		[PostThreadLastPostUserName]     nvarchar(100) NULL,
		[PostThreadLastPostTime]         datetime NULL,
		[PostUserSignature]              ntext NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [Forums_ForumPost]
	ADD
	CONSTRAINT [PK_Forums_ForumPost]
	PRIMARY KEY
	([PostId])
	ON [PRIMARY]
IF OBJECT_ID(N'[Forums_ForumPost]') IS NOT NULL
	AND OBJECT_ID(N'[Forums_Forum]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Forums_ForumPost_Forums_Forum]') IS NULL
BEGIN
		ALTER TABLE [Forums_ForumPost]
			WITH NOCHECK
			ADD CONSTRAINT [FK_Forums_ForumPost_Forums_Forum]
			FOREIGN KEY ([PostForumID]) REFERENCES [Forums_Forum] ([ForumID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[Forums_ForumPost]') IS NOT NULL
	AND OBJECT_ID(N'[Forums_ForumPost]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Forums_ForumPost_Forums_ForumPost]') IS NULL
BEGIN
		ALTER TABLE [Forums_ForumPost]
			WITH NOCHECK
			ADD CONSTRAINT [FK_Forums_ForumPost_Forums_ForumPost]
			FOREIGN KEY ([PostParentID]) REFERENCES [Forums_ForumPost] ([PostId])
			NOT FOR REPLICATION
END
CREATE INDEX [FK_Forums_ForumPost]
	ON [Forums_ForumPost] ([PostForumID])
	ON [PRIMARY]
CREATE INDEX [FK_Forums_ForumPost_1]
	ON [Forums_ForumPost] ([PostParentID])
	ON [PRIMARY]
