CREATE TABLE [Reporting_Report] (
		[ReportID]              int NOT NULL IDENTITY(1, 1),
		[ReportName]            nvarchar(100) NOT NULL,
		[ReportDisplayName]     nvarchar(450) NOT NULL,
		[ReportLayout]          ntext NOT NULL,
		[ReportParameters]      ntext NOT NULL,
		[ReportCategoryID]      int NOT NULL,
		[ReportAccess]          int NOT NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [Reporting_Report]
	ADD
	CONSTRAINT [PK_Reporting_Report]
	PRIMARY KEY
	([ReportID])
	ON [PRIMARY]
IF OBJECT_ID(N'[Reporting_Report]') IS NOT NULL
	AND OBJECT_ID(N'[Reporting_ReportCategory]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Reporting_Report_Reporting_ReportCategory]') IS NULL
BEGIN
		ALTER TABLE [Reporting_Report]
			ADD CONSTRAINT [FK_Reporting_Report_Reporting_ReportCategory]
			FOREIGN KEY ([ReportCategoryID]) REFERENCES [Reporting_ReportCategory] ([CategoryID])
END
CREATE INDEX [FK_Reporting_Report]
	ON [Reporting_Report] ([ReportCategoryID])
	ON [PRIMARY]
CREATE INDEX [IX_Reporting_Report]
	ON [Reporting_Report] ([ReportName])
	ON [PRIMARY]
