CREATE TABLE [Reporting_SavedReport] (
		[SavedReportID]                  int NOT NULL IDENTITY(1, 1),
		[SavedReportReportID]            int NOT NULL,
		[SavedReportGUID]                uniqueidentifier NOT NULL,
		[SavedReportTitle]               nvarchar(200) NULL,
		[SavedReportDate]                datetime NOT NULL,
		[SavedReportHTML]                ntext NOT NULL,
		[SavedReportParameters]          ntext NOT NULL,
		[SavedReportCreatedByUserID]     int NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [Reporting_SavedReport]
	ADD
	CONSTRAINT [PK_Reporting_SavedReport_1]
	PRIMARY KEY
	([SavedReportID])
	ON [PRIMARY]
IF OBJECT_ID(N'[Reporting_SavedReport]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_User]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Reporting_SavedReport_CMS_User]') IS NULL
BEGIN
		ALTER TABLE [Reporting_SavedReport]
			ADD CONSTRAINT [FK_Reporting_SavedReport_CMS_User]
			FOREIGN KEY ([SavedReportCreatedByUserID]) REFERENCES [CMS_User] ([UserID])
END
IF OBJECT_ID(N'[Reporting_SavedReport]') IS NOT NULL
	AND OBJECT_ID(N'[Reporting_Report]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Reporting_SavedReport_Reporting_Report]') IS NULL
BEGIN
		ALTER TABLE [Reporting_SavedReport]
			ADD CONSTRAINT [FK_Reporting_SavedReport_Reporting_Report]
			FOREIGN KEY ([SavedReportReportID]) REFERENCES [Reporting_Report] ([ReportID])
END
CREATE INDEX [FK_Reporting_SavedReport]
	ON [Reporting_SavedReport] ([SavedReportReportID])
	ON [PRIMARY]
CREATE INDEX [FK_Reporting_SavedReport_1]
	ON [Reporting_SavedReport] ([SavedReportCreatedByUserID])
	ON [PRIMARY]
CREATE INDEX [IX_Reporting_SavedReport]
	ON [Reporting_SavedReport] ([SavedReportGUID])
	ON [PRIMARY]
