CREATE TABLE [Staging_Task] (
		[TaskID]                int NOT NULL IDENTITY(1, 1),
		[TaskSiteID]            int NOT NULL,
		[TaskDocumentID]        int NULL,
		[TaskNodeAliasPath]     nvarchar(450) NULL,
		[TaskTitle]             nvarchar(450) NOT NULL,
		[TaskData]              ntext NOT NULL,
		[TaskTime]              datetime NOT NULL,
		[TaskType]              nvarchar(50) NOT NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [Staging_Task]
	ADD
	CONSTRAINT [PK_Staging_Task]
	PRIMARY KEY
	([TaskID])
	ON [PRIMARY]
IF OBJECT_ID(N'[Staging_Task]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Staging_Task_CMS_Site]') IS NULL
BEGIN
		ALTER TABLE [Staging_Task]
			WITH NOCHECK
			ADD CONSTRAINT [FK_Staging_Task_CMS_Site]
			FOREIGN KEY ([TaskSiteID]) REFERENCES [CMS_Site] ([SiteID])
			NOT FOR REPLICATION
END
CREATE INDEX [FK_Staging_Task_CMS_Site]
	ON [Staging_Task] ([TaskSiteID])
	ON [PRIMARY]
